Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.output
Class ProxyOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.apache.commons.io.output.ProxyOutputStream

All Implemented Interfaces:
  Closeable, Flushable

Direct Known Subclasses:
  CloseShieldOutputStream, CountingOutputStream, TeeOutputStream

    public class ProxyOutputStream

extends FilterOutputStream

A Proxy stream which acts as expected, that is it passes the method calls on to the proxied stream and doesn't change which methods are being called. It is an alternative base class to FilterOutputStream to increase reusability.

Version:
  $Id: ProxyOutputStream.java 610010 2008-01-08 14:50:59Z niallp $
Author:
  Stephen Colebourne

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Constructor Summary
`ProxyOutputStream(OutputStream proxy)` Constructs a new ProxyOutputStream.

Method Summary
`void` | `close()` Invokes the delegate's `close()` method.
`void` | `flush()` Invokes the delegate's `flush()` method.
`void` | `write(byte[] bts)` Invokes the delegate's `write(byte[])` method.
`void` | `write(byte[] bts, int st, int end)` Invokes the delegate's `write(byte[])` method.
`void` | `write(int idx)` Invokes the delegate's `write(int)` method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyOutputStream

    public ProxyOutputStream(OutputStream proxy)

  Constructs a new ProxyOutputStream.

  Parameters:
    `proxy` - the OutputStream to delegate to

Method Detail

### write

    public void write(int idx)
               throws IOException

  Invokes the delegate's `write(int)` method.

  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `idx` - the byte to write
  Throws:
    `IOException` - if an I/O error occurs

### write

    public void write(byte[] bts)
               throws IOException

  Invokes the delegate's `write(byte[])` method.

  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `bts` - the bytes to write
  Throws:
    `IOException` - if an I/O error occurs

### write

    public void write(byte[] bts,
                      int st,
                      int end)
               throws IOException

  Invokes the delegate's `write(byte[])` method.

  Overrides:
    `write` in class `FilterOutputStream`
  Parameters:
    `bts` - the bytes to write
    `st` - The start offset
    `end` - The number of bytes to write
  Throws:
    `IOException` - if an I/O error occurs

### flush

    public void flush()
               throws IOException

  Invokes the delegate's `flush()` method.

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `FilterOutputStream`
  Throws:
    `IOException` - if an I/O error occurs

### close

    public void close()
               throws IOException

  Invokes the delegate's `close()` method.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterOutputStream`
  Throws:
    `IOException` - if an I/O error occurs

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Apache Software Foundation. All Rights Reserved.